package ve.gob.cenditel.tibisaymovil;


import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

/**
 * Adaptador para mostrar la lista de funciones disponibles al inicio
 * de la aplicación.
 * 
 */
public class FunctionListAdapter extends ArrayAdapter<String> {
	private final Context context;
	private final String[] values;
 
	public FunctionListAdapter(Context context, String[] values) {
		super(context, R.layout.list_item, values);
		this.context = context;
		this.values = values;
	}
 
	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		LayoutInflater inflater = (LayoutInflater) context
			.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
 
		View rowView = inflater.inflate(R.layout.list_item, parent, false);
		TextView textView1 = (TextView) rowView.findViewById(R.id.textView1);
		//TextView textView2 = (TextView) rowView.findViewById(R.id.textView2);
		textView1.setText(values[position]);
 
		// Change icon based on name
		String s = values[position];
 
		System.out.println(s);
 
		return rowView;
	}
}
